Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 431251 (rep-gtk) - Review Request: rep-gtk - GTK+ binding for librep Lisp environment
Summary: Review Request: rep-gtk - GTK+ binding for librep Lisp environment
Keywords:
Status: CLOSED DUPLICATE of bug 692541
Alias: rep-gtk
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: librep
Blocks: FE-DEADREVIEW sawfish RussianFedoraRemix
TreeView+ depends on / blocked
 
Reported: 2008-02-01 19:17 UTC by ritz
Modified: 2011-03-31 19:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-10 00:08:53 UTC


Attachments (Terms of Use)

Description ritz 2008-02-01 19:17:26 UTC
Spec URL: http://people.redhat.com/rkhadgar/personal/fedora/rep-gtk.spec
SRPM URL: http://people.redhat.com/rkhadgar/personal/fedora/rep-gtk-0.18-2.svn20060131.fc8.src.rpm
Description:
This is a binding of GTK+ for the librep Lisp interpreter.  It is based on 
Marius Vollmer's guile-gtk package (initially version 0.15, updated to 0.17), 
with a new glue-code generator.

Comment 1 Michal Jaegermann 2008-02-03 22:28:20 UTC
Similar size considerations apply in this case as in
https://bugzilla.redhat.com/show_bug.cgi?id=431250#c5
Additionally there is also ChangeLog~ which happens to be
identical to ChangeLog.

After unpacking src.rpm package 'file rep-gtk-0.18.svn20060131.tar.gz'
prints: ".... bzip2 compressed data, block size = 900k".  Ahem ...

Comment 3 Alexander Kahl 2008-03-23 12:57:45 UTC
Since this package depends on librep also being under review, I've added the
latter to the dependencies.

Comment 4 ritz 2008-04-10 06:27:14 UTC
thanks Alexander.

Comment 6 Michal Jaegermann 2008-10-28 02:48:28 UTC
As announced ("Fixed in rev386") in
http://mail.gnome.org/archives/sawfish-list/2008-October/msg00032.html
that source version fixes broken GtkCombos and that makes possible to pick up different themes again through sawfish-ui.  The package from comment #5 is affected by this bug and replacing rep-gtk indeed fixes it.

Also the corresponding spec relies in %file section on %{_host} to come as %{_arch}-redhat-linux-gnu.  On the current rawhide it shows up as %{arch}-unknown-linux-gnu instead and the spec breaks.

Comment 7 Jason Tibbitts 2009-03-10 00:08:53 UTC
Since a dependency submitted by the same person has been closed for
non-response, I'm closing this as well.

Comment 8 Jason Tibbitts 2011-03-31 19:33:40 UTC

*** This bug has been marked as a duplicate of bug 692541 ***


Note You need to log in before you can comment on or make changes to this bug.